<?php

/**
 * Implementation of hook_ctools_plugin_api().
 */
function imagecache_defaults_test_ctools_plugin_api() {
  list($module, $api) = func_get_args();
  if ($module == "strongarm" && $api == "strongarm") {
    return array("version" => 1);
  }
}

/**
 * Implementation of hook_imagecache_default_presets().
 */
function imagecache_defaults_test_imagecache_default_presets() {
  $items = array(
    'imagecache_defaults_test' => array(
      'presetname' => 'imagecache_defaults_test',
      'actions' => array(
        '0' => array(
          'weight' => '0',
          'module' => 'imagecache',
          'action' => 'imagecache_scale_and_crop',
          'data' => array(
            'width' => '500',
            'height' => '500',
          ),
        ),
      ),
    ),
  );
  return $items;
}

/**
 * Implementation of hook_node_info().
 */
function imagecache_defaults_test_node_info() {
  $items = array(
    'imagecache_defaults_test' => array(
      'name' => t('Testing: ImageCache Defaults'),
      'module' => 'features',
      'description' => t('Content type provided for ImageCache Defaults tests.'),
      'has_title' => '1',
      'title_label' => t('Title'),
      'has_body' => '0',
      'body_label' => '',
      'min_word_count' => '0',
      'help' => '',
    ),
  );
  return $items;
}

/**
 * Implementation of hook_views_api().
 */
function imagecache_defaults_test_views_api() {
  return array(
    'api' => '2',
  );
}
